# Uses of Interface
org.opensaml.saml.saml2.core.AuthnQuery

Packages that use AuthnQuery
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnQuery in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnQuery
Modifier and Type
Class
Description
`class`
`AuthnQueryImpl`
Concrete implementation of `AuthnQuery`.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnQuery
Modifier and Type
Method
Description
`AuthnQuery`
AuthnQueryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnQuery`
AuthnQueryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.